Bug 212763 - math/py-matplotlib: Add Qt5Agg backend option
Summary: math/py-matplotlib: Add Qt5Agg backend option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2016-09-17 10:23 UTC by Matthieu Volat
Modified: 2016-10-30 12:02 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Add a QT5 option to enable Qt5Agg rendeder (2.24 KB, patch)
2016-09-17 10:23 UTC, Matthieu Volat
no flags Details | Diff
Add a QT5 option to enable Qt5Agg rendeder (2.39 KB, patch)
2016-09-17 10:35 UTC, Matthieu Volat
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Volat 2016-09-17 10:23:39 UTC
Created attachment 174871 [details]
Add a QT5 option to enable Qt5Agg rendeder

Hello,

Now that there are Qt5 python bindings in ports, matplotlib can be configured to use them. Here's a patch to add a QT5 option to the matplotlib port (disabled by default).

One relevant note for ipython users: if ipython is configured with X11 support, which is using Qt4 python binding, the Qt5 matplotlib backend will fail. I'll check later if it can also be configured by port option to use Qt5.
Comment 1 Matthieu Volat 2016-09-17 10:35:34 UTC
Created attachment 174872 [details]
Add a QT5 option to enable Qt5Agg rendeder

Update patch, using Qt5Agg, py-sip must be installed, but is not a dependency of any py-qt5 port.
Comment 2 Matthieu Volat 2016-10-25 08:57:08 UTC
It seems that maintainer was never notified of this issue, adding the email address manually.
Comment 3 mainland 2016-10-25 10:29:47 UTC
I approve the patch.
Comment 4 Matthieu Volat 2016-10-25 10:35:04 UTC
Thanks, should I ask for a committer on the mailing lists?
Comment 5 Kurt Jaeger freebsd_committer 2016-10-29 10:06:56 UTC
testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2016-10-30 11:38:07 UTC
testbuilds are all ok.
Comment 7 commit-hook freebsd_committer 2016-10-30 11:40:41 UTC
A commit references this bug:

Author: pi
Date: Sun Oct 30 11:39:43 UTC 2016
New revision: 424942
URL: https://svnweb.freebsd.org/changeset/ports/424942

Log:
  math/py-matplotlib: Add Qt5Agg backend option

  - Now that there are Qt5 python bindings in ports, matplotlib can
    be configured to use them.

  PR:		212763
  Submitted by:	Matthieu Volat <mazhe@alkumuna.eu>
  Approved by:	mainland@apeiron.net (maintainer)

Changes:
  head/math/py-matplotlib/Makefile
  head/math/py-matplotlib/files/patch-setup.cfg
Comment 8 Kurt Jaeger freebsd_committer 2016-10-30 12:00:22 UTC
Committed, thanks!
Comment 9 Matthieu Volat 2016-10-30 12:02:43 UTC
Great, thanks and have a nice day!